# Uses of Class
org.apache.lucene.search.vectorhighlight.FieldQuery.QueryPhraseMap

Packages that use FieldQuery.QueryPhraseMap
Package
Description
org.apache.lucene.search.vectorhighlight
Another highlighter implementation based on term vectors.

- ## Uses of FieldQuery.QueryPhraseMap in org.apache.lucene.search.vectorhighlight

  Methods in org.apache.lucene.search.vectorhighlight that return FieldQuery.QueryPhraseMap
  Modifier and Type
  Method
  Description
  `FieldQuery.QueryPhraseMap`
  FieldQuery.`getFieldTermMap(String fieldName, String term)`
  `FieldQuery.QueryPhraseMap`
  FieldQuery.QueryPhraseMap.`getTermMap(String term)`
  `FieldQuery.QueryPhraseMap`
  FieldQuery.QueryPhraseMap.`searchPhrase(List<FieldTermStack.TermInfo> phraseCandidate)`
  `FieldQuery.QueryPhraseMap`
  FieldQuery.`searchPhrase(String fieldName, List<FieldTermStack.TermInfo> phraseCandidate)`